Subject: Re: [PATCH v2 1/5] log: Move show_blob_object() to log.c

From: Junio C Hamano <[email-masked]>
Date: Mon, 19 Feb 2024 19:03:26 -0800

Jeff King <[email-masked]> writes:

> All that said, I'm not sure based on our previous discussion why we
> can't just call stream_blob_to_fd(). Looking at show_blob_object(), most
> of the logic is about recording the tree-context of the given name and
> using it for textconv. But since we know we are feeding a bare oid,
> that would never kick in. So I don't know if there's any value in
> sharing this function more widely in the first place.

It is very nice that we do not need to touch this code move at all.
Thanks, as usual, for a dose of sanity.